Package ghidra.app.util.viewer.field

# Class BrowserCodeUnitFormatOptions

java.lang.Object
ghidra.program.model.listing.CodeUnitFormatOptions
ghidra.app.util.viewer.field.BrowserCodeUnitFormatOptions

All Implemented Interfaces:
  `OptionsChangeListener`

public class BrowserCodeUnitFormatOptions extends CodeUnitFormatOptions implements OptionsChangeListener

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.program.model.listing.CodeUnitFormatOptions

  `CodeUnitFormatOptions.ShowBlockName, CodeUnitFormatOptions.ShowNamespace`

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.listing.CodeUnitFormatOptions

  `alwaysShowPrimaryReference, displayOptions, doRegVariableMarkup, doStackVariableMarkup, followReferencedPointers, includeInferredVariableMarkup, includeScalarReferenceAdjustment, localPrefixOverride, showBlockName, showDataMutability, showLibraryInNamespace, showNamespace, showOffcutInfo, templateSimplifier`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChangeListener(ChangeListener listener)`
  Add format change listener.
  `boolean`
  `followReferencedPointers()`
  Get current state of the Follow Referenced Pointers option.
  `void`
  `optionsChanged(ToolOptions options, String optionName, Object oldValue, Object newValue)`
  Notification that an option changed.
  `void`
  `removeChangeListener(ChangeListener listener)`
  Remove format change listener

  ### Methods inherited from class ghidra.program.model.listing.CodeUnitFormatOptions

  `getShowBlockNameOption, simplifyTemplate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### optionsChanged

    public void optionsChanged(ToolOptions options, String optionName, Object oldValue, Object newValue)
    Description copied from interface: `OptionsChangeListener`
    Notification that an option changed.

    Note: to reject an options change, you can throw a `OptionsVetoException`.

    Specified by:
      `optionsChanged` in interface `OptionsChangeListener`
    Parameters:
      `options` - options object containing the property that changed
      `optionName` - name of option that changed
      `oldValue` - old value of the option
      `newValue` - new value of the option

  - ### addChangeListener

    public void addChangeListener(ChangeListener listener)
    Add format change listener. Listeners will only be notified if autoUpdate was true when instantiated.
    Parameters:
      `listener` - the listener

  - ### removeChangeListener

    public void removeChangeListener(ChangeListener listener)
    Remove format change listener
    Parameters:
      `listener` - the listener

  - ### followReferencedPointers

    public boolean followReferencedPointers()
    Get current state of the Follow Referenced Pointers option.
    Returns:
      true if operand pointer read of indirect references will be followed and non-dynamic pointer referenced symbol will be rendered in place of pointer label.